com.sun.jna.platform.mac

## Class SystemB.VMStatistics

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.mac.SystemB.VMStatistics

Enclosing interface:
  SystemB

    public static class SystemB.VMStatistics
    extends Structure

### Nested Class Summary

### Nested classes/interfaces inherited from class com.sun.jna.Structure

`Structure.ByReference, Structure.ByValue, Structure.StructField`

### Field Summary

Fields
`int` `active_count`
`int` `cow_faults`
`int` `faults`
`static java.util.List<java.lang.String>` `FIELDS`
`int` `free_count`
`int` `hits`
`int` `inactive_count`
`int` `lookups`
`int` `pageins`
`int` `pageouts`
`int` `purgeable_count`
`int` `purges`
`int` `reactivations`
`int` `speculative_count`
`int` `wire_count`
`int` `zero_fill_count`

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

### Constructor Summary

Constructors
Constructor and Description
`VMStatistics()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected java.util.List<java.lang.String>` `getFieldOrder()` Return this Structure's field names in their proper order.

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### FIELDS

    public static final java.util.List<java.lang.String> FIELDS

#### free_count

    public int free_count

#### active_count

    public int active_count

#### inactive_count

    public int inactive_count

#### wire_count

    public int wire_count

#### zero_fill_count

    public int zero_fill_count

#### reactivations

    public int reactivations

#### pageins

    public int pageins

#### pageouts

    public int pageouts

#### faults

    public int faults

#### cow_faults

    public int cow_faults

#### lookups

    public int lookups

#### hits

    public int hits

#### purgeable_count

    public int purgeable_count

#### purges

    public int purges

#### speculative_count

    public int speculative_count

### Constructor Detail

#### VMStatistics

    public VMStatistics()

### Method Detail

#### getFieldOrder

    protected java.util.List<java.lang.String> getFieldOrder()

Description copied from class: `Structure`
Return this Structure's field names in their proper order. For example,

     protected List getFieldOrder() {
         return Arrays.asList(new String[] { ... });
     }

IMPORTANT When deriving from an existing Structure subclass, ensure that you augment the list provided by the superclass, e.g.

     protected List getFieldOrder() {
         List fields = new ArrayList(super.getFieldOrder());
         fields.addAll(Arrays.asList(new String[] { ... }));
         return fields;
     }

Field order must be explicitly indicated, since the field order as returned by `Class.getFields()` is not guaranteed to be predictable.

Specified by:
  `getFieldOrder` in class `Structure`
Returns:
  ordered list of field names

Copyright © 2007-2016 Timothy Wall. All Rights Reserved.